Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
accept_arg Struct Reference

## Data Fields
int | fd
struct sockaddr * | sockaddr
socklen_t * | len

## Detailed Description

Definition at line 738 of file init.c.

## Field Documentation

## ◆ fd

int accept_arg::fd

Definition at line 739 of file init.c.

Referenced by rsock_s_accept().

## ◆ len

socklen_t* accept_arg::len

Definition at line 741 of file init.c.

## ◆ sockaddr

struct sockaddr* accept_arg::sockaddr

Definition at line 740 of file init.c.

Referenced by rsock_s_accept().

The documentation for this struct was generated from the following file:

- ext/socket/init.c